summaryrefslogtreecommitdiff
path: root/tests.branching/show-system-branch-fails-outside-workspace.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.branching/show-system-branch-fails-outside-workspace.script')
-rwxr-xr-xtests.branching/show-system-branch-fails-outside-workspace.script33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests.branching/show-system-branch-fails-outside-workspace.script b/tests.branching/show-system-branch-fails-outside-workspace.script
new file mode 100755
index 00000000..fc3f3db3
--- /dev/null
+++ b/tests.branching/show-system-branch-fails-outside-workspace.script
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Check that 'morph show-system-branch' shows the name of the current system
+# branch correctly.
+
+
+set -eu
+
+# Create a workspace and branch.
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" branch testbranch
+
+# Leave the workspace.
+cd ..
+
+# Try to show the current branch.
+"$SRCDIR/scripts/test-morph" show-system-branch